View a markdown version of this page

GetArtifact - AWS Security Agent

GetArtifact

Retrieves an artifact from an agent space.

Request Syntax

POST /GetArtifact HTTP/1.1 Content-type: application/json { "agentSpaceId": "string", "artifactId": "string" }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

agentSpaceId

The unique identifier of the agent space that contains the artifact.

Type: String

Required: Yes

artifactId

The unique identifier of the artifact to retrieve.

Type: String

Required: Yes

Response Syntax

HTTP/1.1 200 Content-type: application/json { "agentSpaceId": "string", "artifact": { "contents": "string", "type": "string" }, "artifactId": "string", "fileName": "string", "updatedAt": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

agentSpaceId

The unique identifier of the agent space that contains the artifact.

Type: String

artifact

The artifact content and type.

Type: Artifact object

artifactId

The unique identifier of the artifact.

Type: String

fileName

The file name of the artifact.

Type: String

updatedAt

The date and time the artifact was last updated, in UTC format.

Type: Timestamp

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

You do not have sufficient access to perform this action.

message

Error description.

HTTP Status Code: 403

InternalServerException

An unexpected error occurred during the processing of your request.

message

Error description.

HTTP Status Code: 500

ResourceNotFoundException

The specified resource was not found. Verify that the resource identifier is correct and that the resource exists in the specified agent space or account.

message

Error description.

HTTP Status Code: 404

ThrottlingException

The request was denied due to request throttling.

message

Error description.

quotaCode

Quota code for throttling limit.

serviceCode

Service code for throttling limit.

HTTP Status Code: 429

ValidationException

The input fails to satisfy the constraints specified by the service.

fieldList

A list of specific failures encountered during validation.

message

A summary of the validation failure.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: